$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
require 'heartland_portico'
require 'heartland_portico/ach'

require 'pp'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

module XmlFixtureHelpers
  def xml_fixture(file)
    File.read("spec/fixtures/#{file}.xml").tap { |xml|
      xml.gsub!(/>\s+</, '><')
      xml.gsub!(/<!--.*?-->/m, '')
      xml.strip!
    }
  end
end

RSpec.configure do |config|
  config.include XmlFixtureHelpers
end
